Summary:        OLAP for Java
Name:           olap4j
Version:        0.9.8
Release:        1%{?dist}
Epoch:          0
License:        Eclipse Public License
URL:            http://olap4j.svn.sourceforge.net/
Group:          Development/Libraries
Source0:        olap4j-0.9.8.tar.bz2
Patch0:         %{name}-build-fixes.patch
Requires:       jpackage-utils >= 0:1.6
Requires:       java >= 0:1.4.2
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  junit
Requires:       jpackage-utils
Requires:       junit
Requires:       java
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

BuildArch:      noarch

%description
OLAP for Java

%prep
%setup 

%patch0 -p0

%build
ant version-properties
ant jar

%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
# ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
# cp -rp doc $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -p LICENSE.html $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

%check
# ant test

%post

%postun

%files
%{_javadir}/%{name}*.jar
%doc %{_javadocdir}/%{name}/LICENSE.html

%changelog
* Wed Aug 24 2011 Andy Grimm <agrimm@gmail.com> - 0:0.9.8-1
- Initial build

